Module | Erubis::StringBufferEnhancer
In: | erubis/enhancer.rb

use String class for buffering

this is only for Eruby.

### Methods

add_postamble add_preamble

### Public Instance methods

add_postamble(src)

[Source]

    # File erubis/enhancer.rb, line 214
        def add_postamble(src)
          src << "\n" unless src[-1] == ?\n
          src << "#{@bufvar}.to_s\n"
        end

add_preamble(src)

[Source]

    # File erubis/enhancer.rb, line 210
        def add_preamble(src)
          src << "#{@bufvar} = '';"
        end

[Validate]